﻿<!DOCTYPE html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
      Opus Laboris Recruitment: Vacancy Search
    </title>
      <link rel="shortcut icon" href="images/icons/favicon.ico" />

      <!-- Javascript Libraries -->
      <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
      <script src="javascript/jquery.min.js" type="text/javascript"></script>
      <script src="https://maps.googleapis.com/maps/api/js" type="text/javascript"></script>
</head>
  
<body style="display:none">
    <div id="TriSysWeb-Header"></div>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h1>
                        Vacancy Search
                    </h1>
                </div>
                <div class="col-md-3" style="text-align:right">
                    <img src="images/Vacancy-Search.png" height="150">
                </div>
            </div>
            <p>
                As a candidate, you can search our database of live vacancies, register
                your details, build your CV, apply for jobs and complete on-line timesheets.
                Your search criteria will be saved and each time you search and remembered each time you load this form.
                The search will be invoked automatically each time you open this form.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>
    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Vacancy Search
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label>
                        Reference
                    </label>
                    <input type="text" class="form-control" name="txtReference" id="txtReference">
                </div>
                <div class="form-group">
                    <label>
                        Job Title / Keyword
                    </label>
                    <input type="text" class="form-control" name="txtJobTitle" id="txtJobTitle">
                </div>
                <div class="form-group">
                    <label>
                        Type
                    </label>
                    <select id="cmbTypeOfWorkRequired" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Location
                    </label>
                    <select id="cmbLocation" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Start Date
                    </label>
                    <table>
                        <tr>
                            <td style="width: 120px">
                                <select id="cmbStartDateOperator" style="width:auto;" />
                            </td>
                            <td style="width: 200px">
                                <input id="dtStartDate" style="width: 200px; " />
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="form-group">
                    <label>
                        Salary/Rate Range Minimum
                    </label>
                    <div id="salaryMinimum" style="width:100%;"></div>
                </div>
                <div class="form-group">
                    <label>
                        Salary/Rate Range Maximum
                    </label>
                    <div id="salaryMaximum" style="width:100%"></div>
                </div>
                <hr />
                <div class="btn-group">
                    <a href="#" class="btn btn-primary" id="btnSearch" onclick="TriSysWeb.Pages.CandidateVacancies.SearchPersistence.VacancySearchButton()">Search</a>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="panel panel-default" id="pnlLiveVacancies">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Live Vacancies
                </h3>
            </div>
            <div class="panel-body">

                <!-- The vacancy grid populated by JS -->
                <div id="divVacancyGrid" style="border-width: 1px; width: 100%; ">
                </div>
                <!-- The google map populated by JS -->
                <div id="divVacancyMap" style="border-width: 1px; width: 100%; height:600px; display:none ">
                </div>
            </div>
        </div>

    </div>

    <!-- Grid Actions -->
    <div class="container">
        <div class="panel panel-default" id="divVacancySearchActions">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Actions
                </h3>
            </div>
            <div class="panel-body">

                <div class="btn-group">
                    <a class="btn btn-danger" id="btnApply" onclick="ApplyButton()">Apply</a>
                    <a class="btn btn-default" id="btnAddToFavourites" onclick="AddToFavouritesButton()">Add to Favourites</a>
                    <a class="btn btn-info" id="btnSendToFriend" onclick="SendToFriendButton()">Send to Friend</a>
                    <a class="btn btn-default" id="btnShowOnMap" onclick="TriSysWeb.Pages.CandidateVacancies.ShowOnMap()">Show on Map</a>
                    <a class="btn btn-default" id="btnShowInGrid" onclick="TriSysWeb.Pages.CandidateVacancies.ShowInGrid()" style="display:none">Show in Grid</a>
                    <a class="btn btn-warning" id="btnBack" onclick="history.go(-1);">Back to Previous Page</a>
                </div>
                <div class="btn-group" style="float:right">
                    <a class="btn btn-default" id="btnSelectAll" onclick="TriSysSDK.Grid.SelectAllRows('divVacancyGrid', true);">Select All</a>
                    <a class="btn btn-default" id="btnSelectNone" onclick="TriSysSDK.Grid.SelectAllRows('divVacancyGrid', false)">Select None</a>
                </div>
            </div>
        </div>
    </div>
    <!-- End of Grid Actions -->

    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>
    <!-- /container -->
    <script type="text/javascript">
        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: false,
                    CandidateLogin: false,
                    SQLLogin: true,
                    PageName: "vacancysearch",
                    ParentMenuName: "candidate",
                    CallbackFunction: function ()
                    {
                        // Populate all lookups
                        TriSysSDK.CShowForm.skillList("cmbTypeOfWorkRequired", "TypeOfWorkRequired");
                        TriSysWeb.Pages.CandidateVacancies.PopulateLocationLookup("cmbLocation");
                        TriSysWeb.Pages.CandidateVacancies.PopulateStartDateSearchWidgets("cmbStartDateOperator", "dtStartDate");
                        TriSysWeb.Pages.CandidateVacancies.PopulateCurrencyAmountPeriodWidget("salaryMinimum");
                        TriSysWeb.Pages.CandidateVacancies.PopulateCurrencyAmountPeriodWidget("salaryMaximum");

                        // Show all live vacancies after we can be sure that we are connected to the database
                        setTimeout(TriSysWeb.Pages.CandidateVacancies.SearchPersistence.ReloadLastSearchCriteriaAndReSearch, 500);
                    }
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });

        function ApplyButton()
        {
            var multipleSelectedRecordIds = TriSysSDK.Grid.GetSelectedRowRecordIds();
            if (multipleSelectedRecordIds)
                if (multipleSelectedRecordIds.length > 0)
                {
                    var sURL = window.location.href.toLowerCase().replace(TriSysWeb.Constants.CandidateVacancySearchPage, TriSysWeb.Constants.CandidateVacancyPage) + "?RequirementId=";
                    TriSysWeb.Pages.CandidateVacancy.ApplyToMultiple(sURL, multipleSelectedRecordIds);
                }
        }
        function AddToFavouritesButton()
        {
            var multipleSelectedRecordIds = TriSysSDK.Grid.GetSelectedRowRecordIds();
            if (multipleSelectedRecordIds)
                if (multipleSelectedRecordIds.length > 0)
                    TriSysWeb.Pages.CandidateVacancy.AddListToFavourites(multipleSelectedRecordIds);
        }
        function SendToFriendButton()
        {
            var multipleSelectedRequirementIds = TriSysSDK.Grid.GetSelectedRowRecordIds();
            if (multipleSelectedRequirementIds)
            {
                var sURL = window.location.href.toLowerCase().replace(TriSysWeb.Constants.CandidateVacancySearchPage, TriSysWeb.Constants.CandidateVacancyPage) + "?RequirementId=";

                if (multipleSelectedRequirementIds.length > 0)
                {
                    TriSysWeb.Pages.CandidateVacancy.SendMultipleVacanciesToFriend(sURL, multipleSelectedRequirementIds);
                }
            }
        }

    </script>
</body>


</html>